<back to all web services

GetProjectsCount

The following routes are available for this service:
GET/RestApi/translations/projects/count

export class CountProxy
{
    public TotalCount: number;

    public constructor(init?: Partial<CountProxy>) { (Object as any).assign(this, init); }
}

export enum ProjectStatus
{
    NotStarted = 'NotStarted',
    Started = 'Started',
    Completed = 'Completed',
}

export class GetProjectsCount implements IProjectsFilter
{
    public Skip?: number;
    public Take?: number;
    public OrderExpression: string;
    public SearchText: string;
    public Service: string[];
    public ProjectStatus?: ProjectStatus;
    public ActualSourceLanguage: string;
    public WithoutSourceLanguage: boolean;

    public constructor(init?: Partial<GetProjectsCount>) { (Object as any).assign(this, init); }
}

TypeScript GetProjectsCount DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects/count HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"TotalCount":0}